// Simple VCM

clear
ztree2stata pgcont using lecture7.xls

preserve
collapse contribute, by(period)
spearman contribute period
local pvalper = "{it:p} = " + string(r(p),"%9.3f")
di "`pvalper'"
twoway (line contribute period, sort lcolor(edkblue) lwidth(thick)), ytitle(Mean Contribution) ylabel(0(2)20, angle(horizontal) nogrid) xtitle(Period) xlabel(1(1)9) legend(off) graphregion(fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(black)) name(pgcont, replace) text(15 5 "`pvalper'", place(c) size(medlarge))
graph export pgcont.pdf, as(pdf) replace
restore

collapse contribute, by(group period)
twoway (line contribute period if group==1, sort lcolor(edkblue) lwidth(thick)) (line contribute period if group==2, sort lcolor(forest_green) lwidth(thick)) (line contribute period if group==3, sort lcolor(maroon) lwidth(thick)) (line contribute period if group==4, sort lcolor(ebblue) lwidth(thick)), ytitle(Mean Contribution) ylabel(0(2)20, angle(horizontal) nogrid) xtitle(Period) xlabel(1(1)9) legend(order(1 "Group 1" 2 "Group 2" 3 "Group 3" 4 "Group 4") region(fcolor(white) lcolor(white)) position(6) rows(1)) graphregion(fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(black)) name(pgcontgroup, replace)
graph export pgcontgroup.pdf, as(pdf) replace

